#
# spec file for package perl-CGI-PSGI
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CGI-PSGI
Version:        0.15
Release:        6.1
%define cpan_name CGI-PSGI
Summary:        CGI::PSGI Perl module
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CGI-PSGI/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/CGI-PSGI-%{version}.tar.gz
Patch0:         CGI-PSGI-old-Test_More.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Install)
BuildRequires:  perl(CGI)
Requires:       perl(CGI)
%{perl_requires}

%description
CGI::PSGI Perl module

This module is for web application framework developers who currently use CGI to handle query parameters, and would like for the frameworks to comply with the PSGI protocol.

%prep
%setup -q -n %{cpan_name}-%{version}
%if 0%{?suse_version} <= 1110
%patch0 -p1
%endif

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)

%changelog
* Sun Oct  7 2018 opensuse@dstoecker.de
- Fix build with perl 5.28
* Thu Aug 27 2015 bwiedemann@suse.com
- Require CGI as it is no more part of base perl-5.22
* Sun Aug 14 2011 lars@linux-schulserver.de
- build on distributions with old Test::More module
  ( CGI-PSGI-old-Test_More.patch )
* Tue Aug  2 2011 them4z@googlemail.com
- rebuilt 0.15 with cpanspec 1.78.05, added license manually.
* Sun May 22 2011 them4z@googlemail.com
- initial package 0.15
  * created by cpanspec 1.78.04
